Subject: Re: [PATCH v2 00/15] mtd: rawnand: 5th batch of cleanups

From: Miquel Raynal <[email-masked]>
Date: Mon, 1 Apr 2019 17:28:50 +0200

Hello,

Miquel Raynal <[email-masked]> wrote on Mon,  4 Mar 2019
21:15:07 +0100:

> Hello,
> 
> This time I am the one who send the cleanups on behalf of Boris, I
> just took his patches because I needed them for my 'generic ECC
> engine' work. Between this cleanup series and the ECC engine series
> there will be an additional one, to prepare the field.
> 
> Patch 1 adds a field to the memorg structure, patch 2 & 3 add helpers
> in the raw NAND core, following patches are general cleanups in the
> raw NAND area that prepares the use of the (generic) NAND core shared
> between raw NANDs and SPI-NANDs and finally a few nand_chip entries
> are dropped.
> 
> Regards,
> Miquèl
> 
> Changs for v2
> =============
> * Fixed the inconsistencies between patch 7 and 13 pointed out by Frieder.
> * Fixed the derivation of memorg->pages_per_eraseblock.
> * Added Frieder Reviewed-by tags.
> 
> 
> Boris Brezillon (15):
>   mtd: nand: Add max_bad_eraseblocks_per_lun info to memorg
>   mtd: nand: Add a helper returning the number of eraseblocks per target
>   mtd: nand: Add a helper to retrieve the number of pages per target
>   mtd: spinand: Implement mtd->_max_bad_blocks
>   mtd: rawnand: Use nand_to_mtd() in nand_{set,get}_flash_node()
>   mtd: rawnand: Prepare things to reuse the generic NAND layer
>   mtd: rawnand: Fill memorg during detection
>   mtd: rawnand: Initialize the nand_device object
>   mtd: rawnand: Provide a helper to get chip->data_buf
>   mtd: rawnand: Move all page cache related fields to a sub-struct
>   mtd: rawnand: Use nanddev_mtd_max_bad_blocks()
>   mtd: rawnand: Get rid of chip->bits_per_cell
>   mtd: rawnand: Get rid of chip->chipsize
>   mtd: rawnand: Get rid of chip->numchips
>   mtd: rawnand: Get rid of chip->ecc_{strength,step}_ds
> 
>  drivers/mtd/nand/core.c                       |  34 +++
>  drivers/mtd/nand/raw/Kconfig                  |   1 +
>  drivers/mtd/nand/raw/atmel/nand-controller.c  |   8 +-
>  .../mtd/nand/raw/bcm47xxnflash/ops_bcm4706.c  |   2 +-
>  drivers/mtd/nand/raw/brcmnand/brcmnand.c      |   7 +-
>  drivers/mtd/nand/raw/denali.c                 |   6 +-
>  drivers/mtd/nand/raw/diskonchip.c             |   6 +-
>  drivers/mtd/nand/raw/fsl_elbc_nand.c          |   4 +-
>  drivers/mtd/nand/raw/fsl_ifc_nand.c           |   4 +-
>  drivers/mtd/nand/raw/gpmi-nand/gpmi-nand.c    |  17 +-
>  drivers/mtd/nand/raw/hisi504_nand.c           |   2 +-
>  drivers/mtd/nand/raw/internals.h              |   2 +-
>  drivers/mtd/nand/raw/jz4740_nand.c            |   7 +-
>  drivers/mtd/nand/raw/marvell_nand.c           |  49 ++--
>  drivers/mtd/nand/raw/mtk_nand.c               |   4 +-
>  drivers/mtd/nand/raw/nand_amd.c               |  11 +-
>  drivers/mtd/nand/raw/nand_base.c              | 253 +++++++++++-------
>  drivers/mtd/nand/raw/nand_bbt.c               |  45 ++--
>  drivers/mtd/nand/raw/nand_esmt.c              |  10 +-
>  drivers/mtd/nand/raw/nand_hynix.c             |  90 ++++---
>  drivers/mtd/nand/raw/nand_jedec.c             |  27 +-
>  drivers/mtd/nand/raw/nand_micron.c            |  14 +-
>  drivers/mtd/nand/raw/nand_onfi.c              |  35 ++-
>  drivers/mtd/nand/raw/nand_samsung.c           |  42 +--
>  drivers/mtd/nand/raw/nand_toshiba.c           |  19 +-
>  drivers/mtd/nand/raw/nandsim.c                |  11 +-
>  drivers/mtd/nand/raw/qcom_nandc.c             |   8 +-
>  drivers/mtd/nand/raw/sh_flctl.c               |   9 +-
>  drivers/mtd/nand/raw/sunxi_nand.c             |  15 +-
>  drivers/mtd/nand/raw/tegra_nand.c             |   8 +-
>  drivers/mtd/nand/spi/core.c                   |   1 +
>  drivers/mtd/nand/spi/gigadevice.c             |   6 +-
>  drivers/mtd/nand/spi/macronix.c               |   4 +-
>  drivers/mtd/nand/spi/micron.c                 |   2 +-
>  drivers/mtd/nand/spi/toshiba.c                |   2 +-
>  drivers/mtd/nand/spi/winbond.c                |   4 +-
>  include/linux/mtd/nand.h                      |  32 ++-
>  include/linux/mtd/rawnand.h                   |  97 ++++---
>  38 files changed, 548 insertions(+), 350 deletions(-)
> 

Applied to git://git.kernel.org/pub/scm/linux/kernel/git/mtd/linux.git
on nand/next.

Thanks,
Miquèl

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel